Package com.destroystokyo.paper.event.entity

# Class SlimeChangeDirectionEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.SlimePathfindEvent
com.destroystokyo.paper.event.entity.SlimeChangeDirectionEvent

All Implemented Interfaces:
  `Cancellable`

public class SlimeChangeDirectionEvent extends SlimePathfindEvent implements Cancellable
Fired when a Slime decides to change it's facing direction.

This event does not fire for the entity's actual movement. Only when it is choosing to change direction.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`SlimeChangeDirectionEvent(@NotNull Slime slime, float yaw)`

## Method Summary

Modifier and Type
Method
Description
`float`
`getNewYaw()`
Get the new chosen yaw
`void`
`setNewYaw(float yaw)`
Set the new chosen yaw

### Methods inherited from class com.destroystokyo.paper.event.entity.SlimePathfindEvent

`getEntity, getHandlerList, getHandlers, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.event.Cancellable

`isCancelled, setCancelled`

## Constructor Details

### SlimeChangeDirectionEvent

public SlimeChangeDirectionEvent(@NotNull @NotNull Slime slime, float yaw)

## Method Details

### getNewYaw

public float getNewYaw()
Get the new chosen yaw

Returns:
  Chosen yaw

### setNewYaw

public void setNewYaw(float yaw)
Set the new chosen yaw

Parameters:
  `yaw` - Chosen yaw